<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

t3lib_extMgm::allowTableOnStandardPages('tt_titechcrosssell_table');


t3lib_extMgm::addToInsertRecords('tt_titechcrosssell_table');

$TCA['tt_titechcrosssell_table'] = array(
	'ctrl' => array(
		'title'     => 'LLL:EXT:crosssell_titech_tt_products/locallang_db.xml:tt_titechcrosssell_table',		
		'label'     => 'productId',
		'label_alt'     => 'recomId',
		'label_alt_force'     => 'productId,recomId',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'enablecolumns' => array(		
			'disabled' => 'hidden',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'tca.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY) . 'icon_tx_crosssell_titech_category.gif',
	),
);



//for showing the pannel in left backend
/*if (TYPO3_MODE === 'BE') {
	t3lib_extMgm::addModulePath('web_txtitechcrosssellM1', t3lib_extMgm::extPath($_EXTKEY) . 'mod1/');
		
	t3lib_extMgm::addModule('web', 'txtitechcrosssellM1', '', t3lib_extMgm::extPath($_EXTKEY) . 'mod1/');
}*/


t3lib_div::loadTCA('tt_content');
$TCA['tt_content']['types']['list']['subtypes_excludelist'][$_EXTKEY.'_pi1'] = 'layout,select_key,pages';


t3lib_extMgm::addPlugin(array(
	'LLL:EXT:crosssell_titech_tt_products/locallang_db.xml:tt_content.list_type_pi1',
	$_EXTKEY . '_pi1',
	//t3lib_extMgm::extRelPath($_EXTKEY) . 'ext_icon.gif'
),'list_type');


t3lib_extMgm::addStaticFile($_EXTKEY, 'pi1/static/', 'crosssell titech');


if (TYPO3_MODE === 'BE') {
	/*$TCA['tx_titechcrosssell_messages']['ctrl']['hideTable'] = 1;
	$TCA['tx_titechcrosssell_notes']['ctrl']['hideTable'] = 1;*/
	$TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses']['tx_crossselltitechttproducts_pi1_wizicon'] = t3lib_extMgm::extPath($_EXTKEY) . 'pi1/class.tx_crossselltitechttproducts_pi1_wizicon.php';
}

t3lib_extMgm::addStaticFile($_EXTKEY,'static//', '');
?>
