<?php
/***************************************************************
	*  Copyright notice
	*
	*  (c) 2013  <>
	*  All rights reserved
	*
	*  This script is part of the TYPO3 project. The TYPO3 project is
	*  free software; you can redistribute it and/or modify
	*  it under the terms of the GNU General Public License as published by
	*  the Free Software Foundation; either version 2 of the License, or
	*  (at your option) any later version.
	*
	*  The GNU General Public License can be found at
	*  http://www.gnu.org/copyleft/gpl.html.
	*
	*  This script is distributed in the hope that it will be useful,
	*  but WITHOUT ANY WARRANTY; without even the implied warranty of
	*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	*  GNU General Public License for more details.
	*
	*  This copyright notice MUST APPEAR in all copies of the script!
	***************************************************************/


	//require_once(PATH_tslib . 'class.tslib_pibase.php');

/**
	* Plugin 'titech crosssell' for the 'crosssell_titech_tt_products' extension.
	*
	* @author	 <>
	* @package	TYPO3
	* @subpackage	tx_crossselltitechttproducts
*/
class tx_crossselltitechttproducts_pi1 extends tslib_pibase {
	public $prefixId      = 'tx_crossselltitechttproducts_pi1';		// Same as class name
	public $scriptRelPath = 'pi1/class.tx_crossselltitechttproducts_pi1.php';	// Path to this script relative to the extension dir.
	public $extKey        = 'crosssell_titech_tt_products';	// The extension key.
	public $pi_checkCHash = TRUE;


	/**
	 * Main method of your Plugin.
	 *
	 * @param string $content The content of the Plugin
	 * @param array $conf The Plugin Configuration
	 * @return string The content that should be displayed on the website
	 */
	public function main($content, array $conf) {

			 // parse XML data into php array
			$this->pi_initPIflexForm();
			//check include static from ext
			$this->conf['templateFile'] = 'typo3conf/crosssell_titech_tt_products/res/crossselltitech_template.html';
			if(!$this->conf["templateFile"]) {
					$this->content = "<hr>";
					$this->content .= "<h1>Error!<h1><p>";
					$this->content .= "<hr><p>";
					$this->content .= "Please include  Template! ";
					return $this->pi_wrapInBaseClass($this->content);
			}

			$GLOBALS["TSFE"]->additionalHeaderData["tx_crosssell_titech_tt_products_pi1"] = '<link href="typo3conf/ext/crosssell_titech_tt_products/Resources/Public/CSS/crosssell/crossselltitech_style.css" rel="stylesheet" type="text/css" media="all" />';
			$this->conf['templateFile'] = $this->cObj->fileResource($conf["templateFile"]);

					$path=t3lib_div::getIndpEnv('TYPO3_SITE_URL');

					switch ((string)$conf['CMD']) {
							case 'singleView': 
							
								list($t) = explode(':', $this->cObj->currentRecord);
								$this->internal['currentTable'] = $t;
								$this->internal['currentRow'] = $this->cObj->data;
								return $this->pi_wrapInBaseClass($this->singleView($content, $conf));
								break;
							default:
								$markerArray = $this->getStandardView();
								$this->content = $this->renderStandardView($markerArray);
								$markerArray = $this->getMessageTabs();
								$this->content.= $this->renderMessageTabs($markerArray);
								return $this->pi_wrapInBaseClass($this->content);
							break;

					}
	
	}


/******************STANDARD VIEW***********************/

	function renderStandardView ($markerArray) {
			global $TSFE;		
			$tmpBasketExt = $TSFE->fe_user->getKey('ses', 'basketExt');//get Id's of products in basket
 			$arr=array_keys($tmpBasketExt);
			if(!empty($arr)){
	
					$searchMarkers = array(
						'###HEADING###' => 'RECOMMENTED PRODUCTS',
					);

					if($markerArray!='' ) {
						 $subpart = $this->cObj->getSubpart($this->conf["templateFile"], "###PRODUCT_LIST_VIEW_HEADER###");
						 $content.= $this->cObj->substituteMarkerArray($subpart,$searchMarkers );
					}

					return $content;
			}
	}


	function getStandardView () {
	
				$markerArray = array();	
				return $markerArray;
				$GLOBALS['TYPO3_DB']->sql_free_result($res);
	}


	/******************STANDARD VIEW END***********************/

	/******************RECOMMENDATION DETAILS  BEGIN***********************/
	function renderMessageTabs($markerArray){
			 $subpart = $this->cObj->getSubpart($this->conf["templateFile"], "###PRODUCTS_TAB###");
			 $content.= $this->cObj->substituteMarkerArray($subpart, $markerArray);
			 return $content;
	}


	function getMessageTabs(){
		global $TSFE;
//GET TAB LISTING
			$markerArray = array();
			$markerArray['###TAB_TAB###'].='<div class="tabbing"><ul class="navTab"><div class="product_lists">';
			



$tmpBasketExt = $TSFE->fe_user->getKey('ses', 'basketExt');
$arr=array_keys($tmpBasketExt);
		foreach ($arr as $ress) {
			$select_fields = 'title,price,image';
			$from_table = 'tt_products p INNER JOIN tt_titechcrosssell_table c';
			$where_clause = 'p.uid=c.recomId AND c.productId!=c.recomId AND c.productId='.$ress.'';
			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($select_fields, $from_table, $where_clause);


			while($row=$GLOBALS['TYPO3_DB']->sql_fetch_assoc($res))	{
				    $pathImage='uploads/pics/';
					$productItem = $row['title'];
					$price=$row['price'];
					$image=$row['image'];
					$markerArray['###TAB_TAB###']  .='<ul>
												 <li><img src='.$pathImage.$image.'></li>
												 <li class="r-list"> '.$productItem.'</li>
												 <li class="r-list">Price : '.$price.'</li></ul>';					
			}
	}
			$markerArray['###TAB_TAB###']  .='</div></div>';


					return $markerArray;

	} 


	/******************RECOMMENDATION DETAILS END***********************/

}


if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/crosssell_titech_tt_products/pi1/class.tx_crossselltitechttproducts_pi1.php'])) {
include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/crosssell_titech_tt_products/pi1/class.tx_crossselltitechttproducts_pi1.php']);
}


?>
