<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

$TCA['tt_titechcrosssell_table'] = array(
	'ctrl' => $TCA['tt_titechcrosssell_table']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'hidden,title,product,Crosssell products'
	),
	'feInterface' => $TCA['tt_titechcrosssell_table']['feInterface'],
	'columns' => array(
		'hidden' => array(		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array(
				'type'    => 'check',
				'default' => '0'
			)
		),

		'productId' => array(
        'exclude' => 0,
        'label' => 'LLL:EXT:crosssell_titech_tt_products/locallang_db.xml:tt_titechcrosssell_table.productId',
        'config' => array(
                'type' => 'select',
                'internal_type' => 'db',
                'treeView' => 1,	
				'allowed' => 'tt_products',	
                'foreign_table' => 'tt_products',
                'maxitems' => 1
			)
		),

		'recomId' => array(		
			'exclude' => 0,		
			'label' => 'LLL:EXT:crosssell_titech_tt_products/locallang_db.xml:tt_titechcrosssell_table.recomId',		
			'config' => array(
			'eval' => 'required',
				'type' => 'select',		
				'internal_type' => 'db',
				'treeView' => 1,
				'allowed' => 'tt_products',
				'foreign_table' => 'tt_products',
					'items' => Array (
					Array('', 0)
				),
				'minitems' => 0,
				'maxitems' => 1
			)
		),
	),
	'types' => array ( 
        '0' => array(
                'showitem' => 'sys_language_uid;;;;1-1-1,title,productId,recomId, hidden;;1'
                ) 
	),
	'palettes' => array(
		'1' => array('showitem' => '')
	)
);

?>
